MWAWGraphicEncoder Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
MWAWGraphicEncoder Class Reference

main class used to define store librevenge::RVNGDrawingInterface lists of command in a librevenge::RVNGBinaryData. More...

`#include <MWAWGraphicEncoder.hxx>`

Inheritance diagram for MWAWGraphicEncoder:

## Public Member Functions
| MWAWGraphicEncoder ()
| constructor More...
| ~MWAWGraphicEncoder ()
| destructor More...
bool | getBinaryResult (MWAWEmbeddedObject &result)
| return the final graphic More...
void | startDocument (const ::librevenge::RVNGPropertyList &propList)
void | endDocument ()
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList)
void | startPage (const ::librevenge::RVNGPropertyList &propList)
void | endPage ()
void | startMasterPage (const ::librevenge::RVNGPropertyList &propList)
void | endMasterPage ()
void | setStyle (const ::librevenge::RVNGPropertyList &propList)
void | startLayer (const ::librevenge::RVNGPropertyList &propList)
void | endLayer ()
void | startEmbeddedGraphics (const ::librevenge::RVNGPropertyList &propList)
void | endEmbeddedGraphics ()
void | openGroup (const ::librevenge::RVNGPropertyList &propList)
void | closeGroup ()
void | drawRectangle (const ::librevenge::RVNGPropertyList &propList)
void | drawEllipse (const ::librevenge::RVNGPropertyList &propList)
void | drawPolygon (const ::librevenge::RVNGPropertyList &vertices)
void | drawPolyline (const ::librevenge::RVNGPropertyList &vertices)
void | drawPath (const ::librevenge::RVNGPropertyList &path)
void | drawConnector (const ::librevenge::RVNGPropertyList &propList)
void | drawGraphicObject (const ::librevenge::RVNGPropertyList &propList)
void | startTextObject (const ::librevenge::RVNGPropertyList &propList)
void | endTextObject ()
void | startTableObject (const librevenge::RVNGPropertyList &propList)
void | endTableObject ()
void | openTableRow (const librevenge::RVNGPropertyList &propList)
void | closeTableRow ()
void | openTableCell (const librevenge::RVNGPropertyList &propList)
void | closeTableCell ()
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | insertTab ()
void | insertSpace ()
void | insertText (const librevenge::RVNGString &text)
void | insertLineBreak ()
void | insertField (const librevenge::RVNGPropertyList &propList)
void | openLink (const librevenge::RVNGPropertyList &propList)
void | closeLink ()
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | closeOrderedListLevel ()
void | closeUnorderedListLevel ()
void | openListElement (const librevenge::RVNGPropertyList &propList)
void | closeListElement ()
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)
void | openParagraph (const librevenge::RVNGPropertyList &propList)
void | closeParagraph ()
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)
void | openSpan (const librevenge::RVNGPropertyList &propList)
void | closeSpan ()

## Protected Attributes
shared_ptr< MWAWGraphicEncoderInternal::State > | m_state
| the actual state More...

## Detailed Description

main class used to define store librevenge::RVNGDrawingInterface lists of command in a librevenge::RVNGBinaryData.

See also
  MWAWGraphicDecoder can be used to decode back the pictures...

      \note as this class implements the functions librevenge::RVNGDrawingInterface,

  the documentation is not duplicated..

## Constructor & Destructor Documentation

MWAWGraphicEncoder::MWAWGraphicEncoder | ( |  | ) |

constructor

MWAWGraphicEncoder::~MWAWGraphicEncoder | ( |  | ) |

destructor

## Member Function Documentation

void MWAWGraphicEncoder::closeGroup | ( |  | ) |

void MWAWGraphicEncoder::closeLink | ( |  | ) |

void MWAWGraphicEncoder::closeListElement | ( |  | ) |

void MWAWGraphicEncoder::closeOrderedListLevel | ( |  | ) |

void MWAWGraphicEncoder::closeParagraph | ( |  | ) |

void MWAWGraphicEncoder::closeSpan | ( |  | ) |

void MWAWGraphicEncoder::closeTableCell | ( |  | ) |

void MWAWGraphicEncoder::closeTableRow | ( |  | ) |

void MWAWGraphicEncoder::closeUnorderedListLevel | ( |  | ) |

void MWAWGraphicEncoder::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::drawEllipse | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::drawGraphicObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::drawPath | ( | const ::librevenge::RVNGPropertyList & | path | ) |

void MWAWGraphicEncoder::drawPolygon | ( | const ::librevenge::RVNGPropertyList & | vertices | ) |

void MWAWGraphicEncoder::drawPolyline | ( | const ::librevenge::RVNGPropertyList & | vertices | ) |

void MWAWGraphicEncoder::drawRectangle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::endDocument | ( |  | ) |

void MWAWGraphicEncoder::endEmbeddedGraphics | ( |  | ) |

void MWAWGraphicEncoder::endLayer | ( |  | ) |

void MWAWGraphicEncoder::endMasterPage | ( |  | ) |

void MWAWGraphicEncoder::endPage | ( |  | ) |

void MWAWGraphicEncoder::endTableObject | ( |  | ) |

void MWAWGraphicEncoder::endTextObject | ( |  | ) |

bool MWAWGraphicEncoder::getBinaryResult | ( | MWAWEmbeddedObject & | result | ) |

return the final graphic

Referenced by MWAWTextListener::insertShape(), HanMacWrdKGraph::sendEmptyPicture(), HanMacWrdJGraph::sendEmptyPicture(), ClarisWksGraph::sendGroup(), MsWksGraph::sendGroup(), GreatWksGraph::sendGroupChild(), HanMacWrdKGraph::sendGroupChild(), HanMacWrdJGraph::sendGroupChild(), MsWksGraph::sendGroupChild(), MarinerWrtGraph::sendRule(), and GreatWksGraph::sendTextbox().

void MWAWGraphicEncoder::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::insertLineBreak | ( |  | ) |

void MWAWGraphicEncoder::insertSpace | ( |  | ) |

void MWAWGraphicEncoder::insertTab | ( |  | ) |

void MWAWGraphicEncoder::insertText | ( | const librevenge::RVNGString & | text | ) |

void MWAWGraphicEncoder::openGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::setStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::startDocument | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::startEmbeddedGraphics | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::startLayer | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::startMasterPage | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::startPage | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::startTableObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWGraphicEncoder::startTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## Member Data Documentation

shared_ptr<MWAWGraphicEncoderInternal::State> MWAWGraphicEncoder::m_state
| protected

the actual state

Referenced by closeGroup(), closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closeSpan(), closeTableCell(), closeTableRow(), closeUnorderedListLevel(), defineCharacterStyle(), defineEmbeddedFont(), defineParagraphStyle(), drawConnector(), drawEllipse(), drawGraphicObject(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), endEmbeddedGraphics(), endLayer(), endMasterPage(), endPage(), endTableObject(), endTextObject(), getBinaryResult(), insertCoveredTableCell(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openGroup(), openLink(), openListElement(), openOrderedListLevel(), openParagraph(), openSpan(), openTableCell(), openTableRow(), openUnorderedListLevel(), setDocumentMetaData(), setStyle(), startDocument(), startEmbeddedGraphics(), startLayer(), startMasterPage(), startPage(), startTableObject(), and startTextObject().

The documentation for this class was generated from the following files:

- MWAWGraphicEncoder.hxx
- MWAWGraphicEncoder.cxx